<script lang="ts">
	import { scrollIntoView } from "../utils";

	export let active: boolean;
	export let stepName: string = null;
	export let stepTitle: string = "";
	export let required: boolean = false;


	let stepClick = ({ currentTarget }) => {
		const el = document.getElementsByClassName(
			currentTarget.getAttribute("data-step-id")
		)[0];

		if (!el) {
			return;
		}

		scrollIntoView(el);
	};
</script>

<div
	role="button"
	on:click={stepClick}
	on:keypress={stepClick}
	data-step-id={"step-" + stepName}
	class={"d-flex step-" + stepName}
	class:step-active={active}
>
	<span class="pt-1">
		<i
			class="fa-regular fa-lg"
			class:fa-circle={!active}
			class:text-secondary={!active}
			class:fa-circle-check={active}
			class:text-primary={active}
		/>
	</span>
	<h3 class="d-inline-block pt-0 ps-2 mb-3 step-header">
		{stepTitle}{#if required}<span class="text-danger fs-4">*</span>{/if}
	</h3>
</div>
